package com.subd.subd.Controllers;

import com.subd.subd.Models.Order;
import com.subd.subd.Repositories.OrderRepository;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;

@RestController
public class CustomRequest {
    private final OrderRepository orderRepository;
    public CustomRequest(OrderRepository orderRepository) {
        this.orderRepository = orderRepository;
    }
    @GetMapping("/custom")
    public Long performCustomRequest(String date, Double value, String status, String orderBy) throws ParseException {
        SimpleDateFormat format = new SimpleDateFormat("yyyy-M-d");
        Date date1 = format.parse(date);
        Long start = System.nanoTime();
        orderRepository.customAction(date1, value, status, orderBy);
        Long finish = System.nanoTime();
        return finish - start;
    }
}
